{% macro error_alert() %}
  {% with messages = get_flashed_messages() %}
    {% if messages %}
      <div class="row-fluid">
        <div class="alert alert-error">
          {% for message in messages %}
            {{ message }}<br/>
          {% endfor %}
        </div>
      </div>
    {% endif %}
  {% endwith %}
{% endmacro %}

{% macro file_input(classes, name="files") %}
<div class="{{classes}} prettyFile">
    <div class="input-append">
       <label class="input-large file-label text-left" for="files">&nbsp;</label>
       <label class="selects btn bt-default" for="files"><i class="icon-folder-open-alt"></i>&nbsp;<span class="hidden-phone">Select Files</span></label>
       <input id="files" type="file" name="{{name}}" class="file-input" multiple="multiple"/>
    </div>
    <table class="selected-files hide table table-bordered table-condensed">
        <thead><tr><th>
            <span class="pull-left">Files Selected</span>
            <a href="#" class="clears btn btn-small btn-warning pull-right"><i class="icon-remove-sign"></i>&nbsp;<span class="hidden-phone">Clear</span></a>
            <span class="clearfix"></span>
        </th></tr></thead>
        <tbody></tbody>
    </table>
</div>
{% endmacro %}

{% macro upload_master_dialog(name='') %}
  <div class="btn-group pull-right">
    <button class="btn btn-primary" data-target="#uploadModal" data-toggle="modal">
        <i class="icon-upload-alt"></i>&nbsp;Upload {{ name }}
    </button>
  </div>
{% endmacro %}

{% macro render_upload_master_dialog(master_name, master_type) %}
  <div id="uploadModal" class="modal hide fade" tabindex="-1" role="dialog" aria-labelledby="uploadLabel" aria-hidden="true">
    <div class="modal-header">
      <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      <h3 id="uploadLabel">Upload {{ master_name }}</h3>
    </div>
    <form id="uploads" class="invisible-form" action="{{ url_for('upload_master_data') }}" method="POST" enctype="multipart/form-data">
      <input type="hidden" name="upload_type" value="{{ master_type }}">
      <div class="modal-body">
        <div class="alert hidden">
          <a class="close" data-dismiss="alert" href="#">&times;</a>
          <span id="uploadMessage"></span>
        </div>
        <div class="row-fluid text-center">
          {{ file_input('span12') }}
        </div>
      </div>
      <div class="modal-footer">
        <a href="#" class="btn" data-dismiss="modal" aria-hidden="true"><i class="icon-remove"></i>&nbsp;Close</a>
        <button type="button" class="submit-uploads btn btn-primary" data-loading-text="Uploading..."><i class="icon-upload-alt"></i>&nbsp;Upload</button>
      </div>
    </form>
  </div>
{% endmacro %}